package com.qmth.sop.common.enums;

/**
 * @Description: 考勤提交状态
 * @Author: CaoZixuan
 * @Date: 2023-08-24
 */
public enum DingSubmitStatusEnum {
    WILL_SUBMIT("工程师未提交考勤或撤回了考勤提交的状态","待提交","--"),
    ALREADY_SUBMIT("工程师提交考勤","已提交","已提交"),
    APPLY_WITHDRAW("工程师申请撤回考勤提交","已提交","申请撤回"),
    AGREE_WITHDRAW("管理员同意撤回","待提交","已撤回"),
    AGREE_DING("管理员同意考勤申请","审核通过","审核通过")
    ;

    DingSubmitStatusEnum(String operate, String submitDesc, String auditDesc) {
        this.operate = operate;
        this.submitDesc = submitDesc;
        this.auditDesc = auditDesc;
    }

    private final String operate;
    private final String submitDesc;
    private final String auditDesc;

    public String getOperate() {
        return operate;
    }

    public String getSubmitDesc() {
        return submitDesc;
    }

    public String getAuditDesc() {
        return auditDesc;
    }

    @Override
    public String toString() {
        return submitDesc;
    }
}
